Package uk.ac.starlink.vo

# Class Capability

java.lang.Object
uk.ac.starlink.vo.Capability

public class Capability extends Object
Describes a capability of a registry service.

Since:
  3 Jul 2009
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Capability`
`CONE`
Cone search capability.
`static final Capability`
`SIA`
Simple Image Access capability.
`static final Capability`
`SSA`
Simple Spectral Access capability.
`static final Capability`
`TAP`
Table Access Protocol capability.

## Constructor Summary

Constructors
Constructor
Description
`Capability(Ivoid[] standardIds, String xsiTypeTail)`
Constructs a capability with multiple alternative standardIDs.
`Capability(Ivoid standardId, String xsiTypeTail)`
Constructs a capability with a unique standardID.

## Method Summary

Modifier and Type
Method
Description
`Ivoid[]`
`getStandardIds()`
Returns the capability/@standardID string for this capability.
`String`
`getXsiTypeTail()`
Returns the final part of the capability/@xsi:type for this capability.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CONE

public static final Capability CONE
Cone search capability.

### SIA

public static final Capability SIA
Simple Image Access capability.

### SSA

public static final Capability SSA
Simple Spectral Access capability.

### TAP

public static final Capability TAP
Table Access Protocol capability.

## Constructor Details

### Capability

public Capability(Ivoid standardId, String xsiTypeTail)
Constructs a capability with a unique standardID.

Parameters:
  `standardId` - capability/@standardID value identifying the capability
  `xsiTypeTail` - trailing part of the capability/@xsi:type for the capability

### Capability

public Capability(Ivoid[] standardIds, String xsiTypeTail)
Constructs a capability with multiple alternative standardIDs.

Parameters:
  `standardIds` - array of capability/@standardID values identifying the capability
  `xsiTypeTail` - trailing part of the capability/@xsi:type for the capability

## Method Details

### getStandardIds

public Ivoid[] getStandardIds()
Returns the capability/@standardID string for this capability.

Returns:
  ivorn for standard

### getXsiTypeTail

public String getXsiTypeTail()
Returns the final part of the capability/@xsi:type for this capability.

Returns:
  xsi:type tail

### toString

public String toString()

Overrides:
  `toString` in class `Object`